<div *ngIf="isAdmin">
  {{ usersList[0].id }}
  <h1>Users</h1>
  <button mat-raised-button class="user-table-button" (click)="deleteUser()">Remove User</button>
  <button mat-raised-button class="user-table-button" (click)="updateUserRole()">Change User Role</button>
  <table mat-table [dataSource]="usersList" class="mat-elevation-z8">

    <!--- Note that these columns can be defined in any order.
              The actual rendered columns are set as a property on the row definition" -->

    <!-- Position Column -->
    <ng-container matColumnDef="id">
      <th mat-header-cell *matHeaderCellDef> Id. </th>
      <td mat-cell *matCellDef="let user"> {{ user.id }} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="username">
      <th mat-header-cell *matHeaderCellDef> Name </th>
      <td mat-cell *matCellDef="let user"> {{user.username}} </td>
    </ng-container>

    <!-- Weight Column -->
    <ng-container matColumnDef="userRole">
      <th mat-header-cell *matHeaderCellDef> Role </th>
      <td mat-cell *matCellDef="let user"> {{user.userRole}} </td>
    </ng-container>

    <!-- Symbol Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef> Email </th>
      <td mat-cell *matCellDef="let user"> {{user.email}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

  <div class="modal-background" *ngIf="deletingUser" [class.display-flex]="deletingUser" (click)="cancelDeleteUser()">
    <div class="delete-user-modal" (click)="$event.stopPropagation()" *ngIf="deletingUser">
      <div>
        <h3>Enter User Id to Delete</h3>
        <mat-form-field>
          <mat-label for="delete-user-with-id">User Id</mat-label>
          <input matInput id="delete-user-with-id" name="id" />
        </mat-form-field>
        <button mat-raised-button type="submit" (click)="submitDeleteUser()">Submit</button>
      </div>
    </div>
  </div>

  <div class="modal-background" *ngIf="updatingUser" [class.display-flex]="updatingUser"
    (click)="cancelUpdateUserRole()">
    <div class="update-user-modal" (click)="$event.stopPropagation()" *ngIf="updatingUser">
      <div>
        <h3>Enter User Id to make Admin</h3>
        <mat-form-field>
          <mat-label for="update-user-with-id">User Id</mat-label>
          <input matInput id="update-user-with-id" name="id" />
        </mat-form-field>
        <button mat-raised-button class="pad-button" type="submit" (click)="submitGrantAdmin()">Grant Admin
          Privilege</button>
        <button mat-raised-button class="pad-button" type="submit" (click)="submitRevokeAdmin()">Revoke Admin
          Privilege</button>
      </div>
    </div>
  </div>
</div>